#!/bin/sh

# $Id$
# $Log$

# install the two files
# change owner as necessary
# change permissions as necessary

# :!sh -x % /var/www/html/twiki

if [ $# -ne 1 ] ; then
	echo "usage: $0 TWIKI-DATA-DIR"
	echo "	TWIKI-DATA-DIR might be /var/www/html/twiki on some boxes"
	echo
	echo "	example: $0 /var/www/html/twiki"
	exit 1
fi

dest=$1
set -- `ls -ld $dest`
owner=$3
group=$4

dirs=`find . -type d -print`
files=`find . -type f -print | grep -v install.sh`

# make the directories
for dir in dirs
do
	[ -d $dest/$dir ] || mkdir -p $dest/$dir
	chown $owner:$group $dest/$dir
	chmod 0755 $dest/$dir
done

# copy the files
for file in $files
do
	cp $file $dest/$file
	chown $owner:$group $dest/$file
	chmod 0644 $dest/$file
done

echo "plugin installed"
